## org.eclipse.jst.ws.jaxws.dom.runtime.api
Interface IWebMethod

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IJavaWebServiceElement, org.eclipse.emf.common.notify.Notifier

    public interface IWebMethod

extends IJavaWebServiceElement

Author:
  Hristo Sabev

Method Summary
`org.eclipse.emf.common.util.EList<IWebParam>` `getParameters()`
`SOAPBindingParameterStyle` `getSoapBindingParameterStyle()` Returns the value of the 'Soap Binding Parameter Style' attribute.
`SOAPBindingStyle` `getSoapBindingStyle()` Returns the value of the 'Soap Binding Style' attribute.
`SOAPBindingUse` `getSoapBindingUse()` Returns the value of the 'Soap Binding Use' attribute.
`boolean` `isExcluded()`
`void` `setExcluded(boolean value)` Sets the value of the '`Excluded`' attribute.
`void` `setSoapBindingParameterStyle(SOAPBindingParameterStyle value)` Sets the value of the '`Soap Binding Parameter Style`' attribute.
`void` `setSoapBindingStyle(SOAPBindingStyle value)` Sets the value of the '`Soap Binding Style`' attribute.
`void` `setSoapBindingUse(SOAPBindingUse value)` Sets the value of the '`Soap Binding Use`' attribute.

Methods inherited from interface org.eclipse.jst.ws.jaxws.dom.runtime.api.IJavaWebServiceElement
`getImplementation, getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getParameters

    org.eclipse.emf.common.util.EList<IWebParam> getParameters()

  Returns:

### isExcluded

    boolean isExcluded()

### setExcluded

    void setExcluded(boolean value)

  Sets the value of the '`Excluded`' attribute.

  Parameters:
    `value` - the new value of the 'Excluded' attribute.
  See Also:
    `isExcluded()`

### getSoapBindingStyle

    SOAPBindingStyle getSoapBindingStyle()

  Returns the value of the 'Soap Binding Style' attribute. The default value is `"DOCUMENT"`. The literals are from the enumeration `SOAPBindingStyle`.

  If the meaning of the 'Soap Binding Style' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Soap Binding Style' attribute.
  See Also:
    `SOAPBindingStyle`, `setSoapBindingStyle(SOAPBindingStyle)`, `DomPackage.getIWebMethod_SoapBindingStyle()`

### setSoapBindingStyle

    void setSoapBindingStyle(SOAPBindingStyle value)

  Sets the value of the '`Soap Binding Style`' attribute.

  Parameters:
    `value` - the new value of the 'Soap Binding Style' attribute.
  See Also:
    `SOAPBindingStyle`, `getSoapBindingStyle()`

### getSoapBindingUse

    SOAPBindingUse getSoapBindingUse()

  Returns the value of the 'Soap Binding Use' attribute. The default value is `"LITERAL"`. The literals are from the enumeration `SOAPBindingUse`.

  If the meaning of the 'Soap Binding Use' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Soap Binding Use' attribute.
  See Also:
    `SOAPBindingUse`, `setSoapBindingUse(SOAPBindingUse)`, `DomPackage.getIWebMethod_SoapBindingUse()`

### setSoapBindingUse

    void setSoapBindingUse(SOAPBindingUse value)

  Sets the value of the '`Soap Binding Use`' attribute.

  Parameters:
    `value` - the new value of the 'Soap Binding Use' attribute.
  See Also:
    `SOAPBindingUse`, `getSoapBindingUse()`

### getSoapBindingParameterStyle

    SOAPBindingParameterStyle getSoapBindingParameterStyle()

  Returns the value of the 'Soap Binding Parameter Style' attribute. The default value is `"WRAPPED"`. The literals are from the enumeration `SOAPBindingParameterStyle`.

  If the meaning of the 'Soap Binding Parameter Style' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Soap Binding Parameter Style' attribute.
  See Also:
    `SOAPBindingParameterStyle`, `setSoapBindingParameterStyle(SOAPBindingParameterStyle)`, `DomPackage.getIWebMethod_SoapBindingParameterStyle()`

### setSoapBindingParameterStyle

    void setSoapBindingParameterStyle(SOAPBindingParameterStyle value)

  Sets the value of the '`Soap Binding Parameter Style`' attribute.

  Parameters:
    `value` - the new value of the 'Soap Binding Parameter Style' attribute.
  See Also:
    `SOAPBindingParameterStyle`, `getSoapBindingParameterStyle()`